
ChiliProject - Feature # 947: Reformat the CSS files to use a standard

Status: Closed Priority: Normal
Author: Andrew Smith Category:
Created: 2012-03-23 Assignee: Andrew Smith
Updated: 2012-05-21 Due date:
Remote issue URL:
Affected version:
Description: Currently all the CSS files use different spacing/tabbing and mixed rule layouts. These should be 

standardised.

Associated revisions
2008-04-02 09:52 pm - Jean-Philippe Lang 
Accept the following formats for the timelog "hours" field: 1h, 1 h, 1 hour, 2 hours, 30m, 30min, 1h30, 1h30m, 1:30.
Also accept 1,5 for 1.5 hour (closes #975). Note that 1.5 is still equal to 1h30 and not 1h50 (#947).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1320 e93f8b46-1217-0410-a6f0-8f06a7374b81

2012-05-21 01:45 pm - Andrew Smith 
Reformat CSS to use the coding standard. #947

Formatting was done mostly by hand using the following as a guide
http://gnuvince.wordpress.com/2007/02/26/reformatting-a-css-file-with-vim/

" Replace all sequences of white spaces with one space
:%s/[ \t\n]\+/ /g

" Go to the end of the command, then forward one character and insert
" a newline
]/lr^M

" Make sure there is a semi-colon before each closing bracket
:%s/\([^; ]\) *}/\1;}/g

" Add a newline after every semi-colon
:%s/;/;^M/g

" Add a newline after every opening brace and make put one space
" between it and the preceeding text
:%s/\([^ ]*\) *{/\1 {^M/g

" Add two newlines after every closing brace
:%s/}/}^M^M/g

" Remove 'trailing' spaces in front of the semi-colons
:%s/ *;/;/g

" Make sure there is only one space after a colon
:%s/: */: /g

" Make the text before the colon lowercase
:%s/\(.\{-}\):/\L\1:/g
" Remove all trailing spaces at the beginning of lines
:%s/^ \+/g

" Indent the whole file
gg=G

" Split each rule onto its own line (This also matched some
" property/value combos so needed confirming
:%s/\([a-z0-9]\+\), \+/\1,^M/gc

History
2012-03-24 07:37 pm - Holger Just
- Tracker changed from Task to Feature

- Status changed from Open to Ready for review

Pull request is at https://github.com/chiliproject/chiliproject/pull/168

2012-05-21 07:04 am - Felix Schäfer
- Assignee set to Andrew Smith

- Status changed from Ready for review to Open

There's still 1-2 kinks to work out, but looks good overall.

2012-05-21 12:03 pm - Felix Schäfer
- Target version set to 3.2.0

- Status changed from Open to Closed

Finally committed, woo! commit:f983b45
